### Method

# Ggit Submodule get_workdir_id

#### Declaration [src]

    GgitOId*
    ggit_submodule_get_workdir_id (
      GgitSubmodule* submodule
    )

#### Description [src]

Gets the OID for the submodule in the current working directory. Corresponds to looking up ‘HEAD’ in the checked out submodule. If there are pending changes in the index or anything else, this won’t notice that. You should call `ggit_submodule_status()` for a more complete picture about the state of the working directory.

#### Return value

Type: `GgitOId`

The OID for the submodule in the current working directory or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.